### Enumeration

# Gtk SizeGroupMode

since: 4.0

#### Declaration

    enum Gtk.SizeGroupMode

#### Description [src]

The mode of the size group determines the directions in which the size group affects the requested sizes of its component widgets.

Available since: 4.0

#### Members

`GTK_SIZE_GROUP_NONE`

  Group has no effect.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_SIZE_GROUP_HORIZONTAL`

  Group affects horizontal requisition.

  - Value: `1`
  - Nickname: `horizontal`
  - Available since: 4.0
`GTK_SIZE_GROUP_VERTICAL`

  Group affects vertical requisition.

  - Value: `2`
  - Nickname: `vertical`
  - Available since: 4.0
`GTK_SIZE_GROUP_BOTH`

  Group affects both horizontal and vertical requisition.

  - Value: `3`
  - Nickname: `both`
  - Available since: 4.0